> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailreadyai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Details

> Get a breakdown of the pallets, cartons, and SKUs on an order



## OpenAPI

````yaml /openapi.json get /api/v1/orders/{order_id}
openapi: 3.0.0
info:
  title: Authentication API
  description: API for user authentication and token generation
  version: 1.0.0
servers:
  - url: https://api.retailreadyai.com
    description: Production server
  - url: https://stg.retailreadyai.com
    description: Staging server
security: []
paths:
  /api/v1/orders/{order_id}:
    get:
      tags:
        - Orders
      summary: Get Order Details
      description: Get a breakdown of the pallets, cartons, and SKUs on an order
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the order
      responses:
        '200':
          description: Order details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Order details retrieved successfully
                  data:
                    type: object
                    properties:
                      identifiers:
                        type: object
                        properties:
                          id:
                            type: string
                            example: 944bf737-7860-4629-8933-d8e871f19d72
                          picksheet_code:
                            type: string
                            example: 3132324301-9675
                          external_order_id:
                            type: string
                            nullable: true
                            example: null
                          po_number:
                            type: string
                            example: '3132324301'
                          retailer_id:
                            type: string
                            example: b5c8dae2-6f70-3a5g-7i3j-9k0n0f2n5a5d
                          brand:
                            type: object
                            properties:
                              external_brand_code:
                                type: string
                                example: a6d6662a-53b0-4afe-9aaf-42441b0f490d
                                nullable: true
                          facility:
                            type: object
                            properties:
                              external_facility_code:
                                type: string
                                example: faba3d7a-c0f8-417b-9eab-4664baa02aaf
                                nullable: true
                          transportation_method:
                            type: string
                            nullable: true
                            example: PARCEL
                          bill_of_lading_number:
                            type: string
                            nullable: true
                            example: '1234567890'
                          pro_number:
                            type: string
                            nullable: true
                            example: '1234567890'
                          carrier:
                            type: string
                            nullable: true
                            example: UPS
                          service_method:
                            type: string
                            nullable: true
                            example: ups_ground
                          parcel_account_number:
                            type: string
                            nullable: true
                            example: XYZ123
                          parcel_billing_type:
                            type: string
                            nullable: true
                            example: SENDER
                      status:
                        type: string
                        example: Packed
                      pallets:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: faba3d7a-c0f8-417b-9eab-4664baa02aaf
                            created_at:
                              type: string
                              format: date-time
                            staged_by:
                              type: string
                              nullable: true
                              example: John Doe
                            staged_at:
                              type: string
                              format: date-time
                              nullable: true
                            sscc:
                              type: string
                              example: '00001234560000002822'
                            status:
                              type: string
                              example: Loaded
                            cartonQuantity:
                              type: integer
                              example: 1
                            dim_unit:
                              type: string
                              example: in
                            height:
                              type: number
                              example: 12
                            width:
                              type: number
                              example: 12
                            length:
                              type: number
                              example: 24
                            weight_unit:
                              type: string
                              example: lb
                            weight:
                              type: number
                              example: 15
                            cartons:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: 0eb578cd-c522-4ae0-8189-1419b58ddf96
                                  sscc:
                                    type: string
                                    example: '00001234560000002821'
                                  created_at:
                                    type: string
                                    format: date-time
                                  packed_by:
                                    type: string
                                    nullable: true
                                    example: John Doe
                                  packing_complete_at:
                                    type: string
                                    format: date-time
                                    nullable: true
                                  parcel_tracking_number:
                                    type: string
                                    nullable: true
                                    example: XYZ123000000000
                                  dim_unit:
                                    type: string
                                    example: in
                                  height:
                                    type: number
                                    example: 10
                                  width:
                                    type: number
                                    example: 10
                                  length:
                                    type: number
                                    example: 20
                                  weight_unit:
                                    type: string
                                    example: lb
                                  weight:
                                    type: number
                                    example: 14
                                  skus:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        sku:
                                          type: string
                                          example: '123'
                                        upc:
                                          type: string
                                          example: '456'
                                        serial_numbers:
                                          type: array
                                          nullable: true
                                          items:
                                            type: string
                                          example:
                                            - '123456789012345'
                                            - '987654321098765'
                                            - '456789012345678'
                                        quantity:
                                          type: integer
                                          example: 3
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
              example:
                message: Authentication failed
                error:
                  code: UNAUTHORIZED
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
              example:
                message: Order not found
                error:
                  code: NOT_FOUND
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
              example:
                message: Order details retrieval failed
                error:
                  code: INTERNAL_SERVER_ERROR
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````